------------
-- SHAMAN --
------------
if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "SHAMAN") then
    return;
end


Watcher.classDefaults["SHAMAN"] = {
    ["newDefaultDate"] = 1414354510;
    ["priorityLists"] = {
        [1] = {
            ["settings"] = {};
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 14;
                    ["spellId"] = 73680;
                    ["name"] = "Unleash Elements";
                };
                [2] = {
                    ["filterSetId"] = 29;
                    ["spellId"] = 324;
                    ["name"] = "Lightning Shield";
                };
                [3] = {
                    ["filterSetId"] = 34;
                    ["spellId"] = 51505;
                    ["name"] = "Lava Burst";
                };
                [4] = {
                    ["filterSetId"] = 35;
                    ["spellId"] = 8050;
                    ["name"] = "Flame Shock";
                };
                [5] = {
                    ["filterSetId"] = 37;
                    ["spellId"] = 8042;
                    ["name"] = "Earth Shock";
                };
                [6] = {
                    ["filterSetId"] = 38;
                    ["spellId"] = 117014;
                    ["name"] = "Elemental Blast";
                };
                [7] = {
                    ["filterSetId"] = 32;
                    ["spellId"] = 51505;
                    ["name"] = "Lava Burst";
                };
                [8] = {
                    ["filterSetId"] = 13;
                    ["spellId"] = 3599;
                    ["name"] = "Searing Totem";
                };
                [9] = {
                    ["filterSetId"] = 4;
                    ["spellId"] = 403;
                    ["name"] = "Lightning Bolt";
                };
            };
            ["name"] = "Elemental";
            ["filters"] = {
                [1] = {
                    ["specNum"] = 1;
                    ["filterType"] = "spec";
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["name"] = "Enchancement";
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 22;
                    ["spellId"] = 19267;
                };
                [2] = {
                    ["filterSetId"] = 29;
                    ["spellId"] = 324;
                    ["name"] = "Lightning Shield";
                };
                [3] = {
                    ["filterSetId"] = 13;
                    ["spellId"] = 3599;
                    ["name"] = "Searing Totem";
                };
                [4] = {
                    ["filterSetId"] = 14;
                    ["spellId"] = 73680;
                    ["name"] = "Unleash Elements";
                };
                [5] = {
                    ["filterSetId"] = 26;
                    ["spellId"] = 403;
                    ["name"] = "Lightning Bolt";
                };
                [6] = {
                    ["filterSetId"] = 15;
                    ["spellId"] = 403;
                    ["name"] = "Lightning Bolt";
                };
                [7] = {
                    ["filterSetId"] = 1;
                    ["spellId"] = 17364;
                    ["name"] = "Stormstrike";
                };
                [8] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 60103;
                    ["name"] = "Lava Lash";
                };
                [9] = {
                    ["filterSetId"] = 16;
                    ["spellId"] = 8050;
                    ["name"] = "Flame Shock";
                };
                [10] = {
                    ["filterSetId"] = 3;
                    ["spellId"] = 73680;
                    ["name"] = "Unleash Elements";
                };
                [11] = {
                    ["filterSetId"] = 5;
                    ["spellId"] = 8056;
                    ["name"] = "Frost Shock";
                };
                [12] = {
                    ["filterSetId"] = 17;
                    ["spellId"] = 403;
                    ["name"] = "Lightning Bolt";
                };
                [13] = {
                    ["filterSetId"] = 18;
                    ["spellId"] = 403;
                    ["name"] = "Lightning Bolt";
                };
                [14] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 403;
                    ["name"] = "Lightning Bolt";
                };
                [15] = {
                    ["filterSetId"] = 20;
                    ["spellId"] = 403;
                    ["name"] = "Lightning Bolt";
                };
            };
            ["filters"] = {
                [1] = {
                    ["specNum"] = 2;
                    ["filterType"] = "spec";
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["spellConditions"] = {};
            ["name"] = "Restoration";
            ["filters"] = {
                [1] = {
                    ["specNum"] = 3;
                    ["filterType"] = "spec";
                };
            };
        };
    };
    ["version"] = 1;
    ["spells"] = {
        [2894] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [11] = true;
                [28] = true;
            };
        };
        [324] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [12] = true;
                [29] = true;
            };
        };
        [165341] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [10] = true;
                [27] = true;
            };
        };
        [403] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [20] = true;
                [17] = true;
                [15] = true;
                [18] = true;
                [4] = true;
                [19] = true;
                [26] = true;
            };
        };
        [60103] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [2] = true;
            };
        };
        [8056] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [5] = true;
            };
        };
        [19267] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "Enhance";
            };
            ["filterSetIds"] = {
                [21] = true;
                [22] = true;
            };
        };
        [61882] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [33] = true;
            };
        };
        [17364] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [1] = true;
            };
        };
        [19271] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [25] = true;
                [31] = true;
            };
        };
        [51533] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [9] = true;
                [30] = true;
            };
        };
        [8050] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [16] = true;
                [35] = true;
                [6] = true;
            };
        };
        [117014] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "Elemental";
            };
            ["filterSetIds"] = {
                [38] = true;
            };
        };
        [8042] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [36] = true;
                [37] = true;
            };
        };
        [73680] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [3] = true;
                [14] = true;
            };
        };
        [51505] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [32] = true;
                [34] = true;
            };
        };
        [1535] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [7] = true;
            };
        };
        [3599] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [8] = true;
                [13] = true;
                [23] = true;
            };
        };
        [16188] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [24] = true;
            };
        };
    };
    ["filterSets"] = {
        [1] = {
            ["settings"] = {};
            ["spellId"] = 17364;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["spellId"] = 60103;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["spellId"] = 73680;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [4] = {
            ["settings"] = {};
            ["spellId"] = 403;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [5] = {
            ["settings"] = {};
            ["spellId"] = 8056;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [6] = {
            ["settings"] = {};
            ["spellId"] = 8050;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [7] = {
            ["settings"] = {};
            ["spellId"] = 1535;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [8] = {
            ["settings"] = {};
            ["spellId"] = 3599;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [9] = {
            ["settings"] = {};
            ["spellId"] = 51533;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [10] = {
            ["settings"] = {};
            ["spellId"] = 165341;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [11] = {
            ["settings"] = {};
            ["spellId"] = 2894;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [12] = {
            ["settings"] = {};
            ["spellId"] = 324;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [13] = {
            ["settings"] = {};
            ["spellId"] = 3599;
            ["name"] = "If Expired";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["name"] = "";
                    ["slot"] = 1;
                    ["refreshThreshold"] = 3;
                    ["exists"] = false;
                    ["filterType"] = "totem";
                };
            };
        };
        [14] = {
            ["settings"] = {};
            ["spellId"] = 73680;
            ["name"] = "Unleash Fury";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["talentNum"] = 19265;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
            };
        };
        [15] = {
            ["settings"] = {};
            ["spellId"] = 403;
            ["name"] = "MW5";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Maelstrom Weapon";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 5;
                    ["trackStacks"] = true;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [16] = {
            ["settings"] = {};
            ["spellId"] = 8050;
            ["name"] = "Unleash Flame";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Unleash Flame";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Flame Shock";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["remainingTime"] = 9;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [17] = {
            ["settings"] = {};
            ["spellId"] = 403;
            ["name"] = "MW4";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Maelstrom Weapon";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 4;
                    ["trackStacks"] = true;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [18] = {
            ["settings"] = {};
            ["spellId"] = 403;
            ["name"] = "MW3";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Maelstrom Weapon";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 3;
                    ["trackStacks"] = true;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [19] = {
            ["settings"] = {};
            ["spellId"] = 403;
            ["name"] = "MW2";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Maelstrom Weapon";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 2;
                    ["trackStacks"] = true;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [20] = {
            ["settings"] = {};
            ["spellId"] = 403;
            ["name"] = "MW1";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 1;
                    ["trackStacks"] = true;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [21] = {
            ["settings"] = {};
            ["spellId"] = 19267;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [22] = {
            ["settings"] = {};
            ["spellId"] = 19267;
            ["name"] = "If Talented";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["talentNum"] = 19267;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
            };
        };
        [23] = {
            ["settings"] = {};
            ["spellId"] = 3599;
            ["name"] = "If No Actions";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["name"] = "";
                    ["slot"] = 1;
                    ["refreshThreshold"] = 12;
                    ["exists"] = true;
                    ["filterType"] = "totem";
                };
            };
        };
        [24] = {
            ["settings"] = {};
            ["spellId"] = 16188;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [25] = {
            ["settings"] = {};
            ["spellId"] = 19271;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [26] = {
            ["settings"] = {};
            ["spellId"] = 403;
            ["name"] = "If AS";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Ancestral Swiftness";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [27] = {
            ["settings"] = {};
            ["spellId"] = 165341;
            ["name"] = "If Boss";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["value"] = "rare";
                    ["relationship"] = "At Least";
                    ["filterType"] = "classification";
                };
            };
        };
        [28] = {
            ["settings"] = {};
            ["spellId"] = 2894;
            ["name"] = "If Boss";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["value"] = "rare";
                    ["relationship"] = "At Least";
                    ["filterType"] = "classification";
                };
            };
        };
        [29] = {
            ["settings"] = {};
            ["spellId"] = 324;
            ["name"] = "If Not Active";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Lightning Shield";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 60;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [30] = {
            ["settings"] = {};
            ["spellId"] = 51533;
            ["name"] = "If Boss";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["value"] = "rare";
                    ["relationship"] = "At Least";
                    ["filterType"] = "classification";
                };
            };
        };
        [31] = {
            ["settings"] = {};
            ["spellId"] = 19271;
            ["name"] = "If Boss";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["value"] = "rare";
                    ["relationship"] = "At Least";
                    ["filterType"] = "classification";
                };
            };
        };
        [32] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 51505;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [33] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 61882;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [34] = {
            ["settings"] = {};
            ["name"] = "If Flame Shock";
            ["spellId"] = 51505;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Flame Shock";
                    ["filterType"] = "auras";
                    ["remainingTimeRelationship"] = "ABOVE";
                    ["ifExists"] = true;
                    ["unit"] = "target";
                    ["remainingTime"] = 1;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [35] = {
            ["settings"] = {};
            ["name"] = "If Not Present";
            ["spellId"] = 8050;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Flame Shock";
                    ["filterType"] = "auras";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["ifExists"] = false;
                    ["unit"] = "target";
                    ["remainingTime"] = 9;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [36] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 8042;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [37] = {
            ["settings"] = {};
            ["name"] = "12 Fulmination";
            ["spellId"] = 8042;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Lightning Shield";
                    ["filterType"] = "auras";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["ifExists"] = true;
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 12;
                    ["trackStacks"] = true;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [38] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 117014;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
    };
};
